#pragma once
#pragma unmanaged
#include "LinearMath/btDefaultMotionState.h"
#pragma managed

using namespace System;
using namespace Microsoft::Xna::Framework;

namespace BulletCLI
{

	public ref class DefaultMotionState
	{
	private:
		btDefaultMotionState* m_p;
        btTransform* m_statTransform;
        btTransform* m_centerOfMassOffset;
    internal:
        btDefaultMotionState* GetPtr(){return m_p;}
	public:
		DefaultMotionState();
        DefaultMotionState(Matrix statTransform,Matrix centerOfMassOffset);
		virtual ~DefaultMotionState();
		!DefaultMotionState();
        
        
    };
}